org.freedesktop.UDisks2.ISCSI.Session: UDisks Reference Manual

## org.freedesktop.UDisks2.ISCSI.Session org.freedesktop.UDisks2.ISCSI.Session — iSCSI session. |

## Methods

    Logout          (IN  a{sv} options);
    LogoutInterface (IN  s     iface,
                     IN  a{sv} options);

## Properties

    target_name         readable   s
    tpgt                readable   i
    address             readable   s
    port                readable   i
    persistent_address  readable   s
    persistent_port     readable   i
    abort_timeout       readable   i
    lu_reset_timeout    readable   i
    recovery_timeout    readable   i
    tgt_reset_timeout   readable   i

## Description

This interface should appear on a separate object exported on the master Udisks root.

## Method Details

### The Logout() method

    Logout (IN  a{sv} options);

Logout iSCSI node in this session; default interface is used.

All the additional options are transformed into the interface parameters. For example, if an automatic node startup is not desired, the `node.startup` needs to be set to 'manual'.

`IN a{sv} `options``: | Additional options.

Since 2.1.3

### The LogoutInterface() method

    LogoutInterface (IN  s     iface,
                     IN  a{sv} options);

Logout iSCSI node in this session; `iface` is used.

All the additional options are transformed into the interface parameters. For example, if an automatic node startup is not desired, the `node.startup` needs to be set to 'manual'.

`IN s `iface``: | Interface to logout.
`IN a{sv} `options``: | Additional options.

Since 2.1.3

## Property Details

### The "target_name" property

    target_name  readable   s

### The "tpgt" property

    tpgt  readable   i

### The "address" property

    address  readable   s

### The "port" property

    port  readable   i

### The "persistent_address" property

    persistent_address  readable   s

### The "persistent_port" property

    persistent_port  readable   i

### The "abort_timeout" property

    abort_timeout  readable   i

### The "lu_reset_timeout" property

    lu_reset_timeout  readable   i

### The "recovery_timeout" property

    recovery_timeout  readable   i

### The "tgt_reset_timeout" property

    tgt_reset_timeout  readable   i